# BEGIN SourceDeps(oneline):
BuildRequires: perl(HTML/Form.pm) perl(HTTP/Cookies.pm) perl(LWP.pm) perl(XML/XPath.pm) perl(XML/XPath/XMLParser.pm)
# END SourceDeps(oneline)
# There's not been a release in a long time for dvb-apps
# We use a Release based on the ChangeSet number and hash
%define hgr 1488
%define hgver f3a70b206f0f

Name:    dvb-apps
Version: 1.1.2
Release: alt1_4.%{hgr}.%{hgver}
Summary: Utility, demo and test applications using the Linux DVB API

Group:   Video
License: GPLv2+
URL:     http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps

Source0: http://linuxtv.org/hg/dvb-apps/archive/%{hgver}.tar.bz2
Patch0:  dvb-apps-Make.patch
Patch1:  dvb-apps-Docs.patch

Autoreq: 0
BuildRequires: libusb-compat-devel libusb-devel
BuildRequires:  kernel-headers
Source44: import.info
Patch33: dvb-apps-alt-linkage.patch

%description
The LinuxTV dvb-apps package contains some Linux DVB API applications and a set 
of utilities that both the developer and end user alike will find quite useful. 
Specifically, the utilities are geared towards the initial setup, testing, and 
operation of a DVB device, whether it be of the software decoding or hardware 
decoding type.

%prep
%setup -q -n %{name}-%{hgver}

# Various fixes to fix various upstream build issues
%patch0 -p1 -b .make
%patch1 -p1 -b docs

# Rename to non generic name
mv util/scan/scan.c util/scan/scandvb.c
mv util/zap/zap.c util/zap/dvbzap.c

# Fix libdir for 64 bit arches
%ifarch x86_64 ia64 ppc64 sparc64 s390x arm64
sed -i.lib64 's#$(prefix)/lib#$(prefix)/lib64#' Make.rules 
%endif

cd util
install -pm 644 av7110_loadkeys/README ../README.av7110_loadkeys
install -pm 644 scan/README ../README.scandvb
install -pm 644 szap/README ../README.szap
install -pm 644 ttusb_dec_reset/README ../README.ttusb_dec_reset
chmod 644 dvbnet/net_start.*
cd ..
%patch33 -p1

%build
LDFLAGS="$RPM_LD_FLAGS" make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
chmod -c +x %{buildroot}%{_libdir}/lib*.so

#Remove static libraries
find %{buildroot} -name '*.a' -exec rm -f {} ';'

%files
%doc README COPYING COPYING.LGPL README.* util/szap/channels-conf
%{_bindir}/*
%{_datadir}/dvb
%{_libdir}/libdvbapi.so
%{_libdir}/libdvbcfg.so
%{_libdir}/libdvben50221.so
%{_libdir}/libdvbsec.so
%{_libdir}/libucsi.so
# Exclude for the moment as they're not used by shipped binaries
%exclude %{_libdir}/libesg.so
%exclude %{_includedir}/*
# dvbscan doesn't work and is obsolete, don't install it
%exclude %{_bindir}/dvbscan

%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_4.1488.f3a70b206f0f
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_3.1479.37781d27a444
- update to new release by fcimport

* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_2.1479.37781d27a444
- initial fc import

